# List customers List account customers with filtering options. For each customer, the shorter `customer` object is returned. This object does not contain the additional informational fields provided for person or company customers. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounts", "version": "1.0.0", "description": "API used to manage accounts domain", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "API server for testing" } ], "tags": [ { "name": "Customers", "description": "Endpoints to manage customers" } ], "components": { "parameters": { "AccountIdPath": { "name": "accountId", "in": "path", "description": "Account ID", "required": true, "schema": { "type": "integer", "format": "int64", "minimum": 1, "example": 123 } }, "EntityIdQuery": { "name": "entityId", "in": "query", "description": "ID of entity associated with the customer's information", "required": false, "schema": { "type": "integer", "format": "int64", "example": 12345 } }, "IsOwnerQuery": { "in": "query", "name": "isOwner", "description": "Is customer the account owner?", "required": false, "schema": { "type": "boolean", "example": false } }, "PageNumberQuery": { "in": "query", "name": "page", "description": "Page number.", "required": false, "schema": { "type": "integer", "format": "int32", "default": 1 } }, "PerPageMax200Query": { "in": "query", "name": "perPage", "description": "Items per page", "required": false, "schema": { "type": "integer", "format": "int32", "minimum": 1, "maximum": 200, "default": 10 } } }, "schemas": { "AccountID": { "type": "integer", "format": "int64", "description": "Account ID", "example": 1001 }, "CurrentPage": { "type": "integer", "format": "int32", "description": "Current page", "example": 1 }, "CustomerID": { "type": "integer", "format": "int64", "description": "Customer ID", "example": 100211299 }, "CustomerIsActive": { "type": "boolean", "description": "Is customer active or not active? If `is_active` is null in this request, the Pismo platform doesn't overwrite the existing value.", "example": true }, "IsOwner": { "type": "boolean", "description": "Is the customer the account owner?", "example": false }, "Nickname": { "type": "string", "description": "Nickname.", "maxLength": 128, "example": "Pinto" }, "PerPage": { "type": "integer", "format": "int64", "description": "Maximum items per page. 100 maximum.", "example": 100 }, "PrintedName": { "type": "string", "description": "\nThis field is **DEPRECATED**. \n\nName to be printed on the card. \n\nPunctuation, special characters, and connectors (da/das/de/do/dos/e) are always removed. \n\nThis field's maximum length is 25, but you can set it to a lower value at the program level with the `Max name length on physical card` program parameter.\n\nIf `printed_name` is null, the Pismo platform uses `social_name`. If `social_name` is null, the Pismo platform uses the customer's entity name. For more information on the customer object, refer to [Core objects](https://developers.pismo.io/pismo-docs/docs/setup-overview#customer).\n\nThe Pismo platform gets the name for program parameter `TAMANHO MAX NOME EMBOSSADO` (max size name embossed).\n", "maxLength": 25, "deprecated": true, "example": "Jack Williams" }, "SimpleError": { "title": "SimpleError", "type": "object", "required": [ "message" ], "properties": { "message": { "type": "string", "description": "Error message" } } }, "SocialName": { "type": "string", "description": "Social name.", "maxLength": 64, "example": "Jack" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "security": [ { "BearerAuth": [] } ], "x-readme": { "explorer-enabled": true, "proxy-enabled": true, "samples-enabled": true }, "paths": { "/accounts/v2/accounts/{accountId}/customers": { "get": { "summary": "List customers", "description": "List account customers with filtering options.\n\nFor each customer, the shorter `customer` object is returned. This object does not contain the additional informational fields provided for person or company customers. \n", "operationId": "customersV2Get", "tags": [ "Customers" ], "parameters": [ { "$ref": "#/components/parameters/AccountIdPath" }, { "$ref": "#/components/parameters/PageNumberQuery" }, { "$ref": "#/components/parameters/PerPageMax200Query" }, { "$ref": "#/components/parameters/IsOwnerQuery" }, { "$ref": "#/components/parameters/EntityIdQuery" } ], "responses": { "200": { "description": "Customer information associated with the given account", "content": { "application/json": { "schema": { "type": "object", "properties": { "current_page": { "$ref": "#/components/schemas/CurrentPage" }, "per_page": { "$ref": "#/components/schemas/PerPage" }, "items": { "type": "array", "items": { "type": "object", "properties": { "account_id": { "$ref": "#/components/schemas/AccountID" }, "customer": { "type": "object", "properties": { "id": { "$ref": "#/components/schemas/CustomerID" }, "printed_name": { "$ref": "#/components/schemas/PrintedName" }, "social_name": { "$ref": "#/components/schemas/SocialName" }, "nickname": { "$ref": "#/components/schemas/Nickname" }, "is_owner": { "$ref": "#/components/schemas/IsOwner" }, "is_active": { "$ref": "#/components/schemas/CustomerIsActive" } } } } } } } } } } }, "404": { "description": "Not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SimpleError" }, "examples": { "Account not found": { "value": { "message": "Account not found" } } } } } }, "500": { "description": "Internal server error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SimpleError" }, "examples": { "Internal server error": { "value": { "message": "Internal server error" } } } } } } } } } } } ```